/* Object Rexx (message operator is the tilde: ~); works with Java 1.1 too */

system=.bsf.cls~Class.JC~forName("string", "java.lang.System")  -- get the class object

properties=system~getProperties     -- get the System properties

   -- another version: here the BSF4Rexx utility class is employed directly
enum=.bsf~new('com.ibm.bsf.engines.rexx.EnumerationWrapper', 'Obj', properties~propertyNames)       -- get an enumeration of the property names
say copies("=", 70)

do while enum~hasMoreElements       -- loop over enumeration
   key=enum~nextElement             -- get next element
   say "key:" pp(left(key, 30)) "value:" pp(properties~getProperty("String", key))
end


::requires "BSF.cls" -- get the Object Rexx support for bsf4rexx

::routine pp   -- "cheap man's pretty print"
  return "[" || arg(1) || "]"
